<bugID>958106<Summary>Different spacing on start and end of URL bar</Summary><Description>Created attachment 8357822
Screenshot of the URL bar with elements colored in

https://hg.mozilla.org/mozilla-central/rev/fc79651935e7 (Bug 880399) removed the star button and its CSS:
--- a/browser/base/content/browser.xul
+++ b/browser/base/content/browser.xul
...
-              &lt;image id="star-button"
-                     class="urlbar-icon"
-                     onclick="BookmarkingUI.onCommand(event);"/&gt;
...

https://hg.mozilla.org/mozilla-central/rev/09fd1ae57a2e (Bug 755598) added the element back, but not any of its CSS:
--- a/browser/base/content/browser.xul
+++ b/browser/base/content/browser.xul
...
+                &lt;image id="star-button"
+                       class="urlbar-icon"
+                       onclick="BookmarkingUI.onCommand(event);"/&gt;
...

This results in an extra 6-pixel space in the URL bar (red in the screenshot).

There is also a 3px right margin on the URL textbox (yellow in screenshot), inherited from textbox-input-box.

This bug proposes to remove/hide the star-button element and to override the 3px textbox margin to a 1px margin, so that there are 4 white pixels between the URL and the dropdown marker in the location bar (4 is chosen because it is the number of pixels between the text and the search button in the search bar).</Description></bugID>